<template>
  <div>
    <h1 class="mb-6">How often would you like them shipped?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice.value"
        :input-value="choice.value"
        v-model="selected"
        class="relative"
      >
        <div>
          <div class="text-base mb-1">{{ choice.value }}</div>
          <p class="mb-3 text-grey-dark">{{ choice.description }}</p>
          <div class="text-grey-dark text-base">
            <template v-if="choice.price">
              ${{ choice.price }}/mo
            </template>
            <template v-else>
              <span class="line-through">${{choice.oldPrice}}</span> <span class="text-black">${{ choice.newPrice }}/mo</span>
              <div
                v-if="choice.newPrice"
                class="absolute bottom-6 right-0 info-badge"
              >
                Save 15%
              </div>
            </template>
          </div>

        </div>
      </radio-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!selected"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import CommonBtn from "@/components/common/CommonBtn";
import RadioInput from "@/components/inputs/RadioInput";
import {answersMixin} from "@/utils/mixins";
import {constants} from "@/constants";
export default {
  mixins: [answersMixin],
  name: "TreatmentPreferenceHowOften",
  components: {RadioInput, CommonBtn},
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.TREATMENT_PREFERENCE, newVal, 'how_often')
    }
  },
  data() {
    return {
      selected: null,
      choices: [
        {value: constants.EVERY_3_MONTHS, description: 'Receive a 3 month supply for $153 every 3 months, cancel anytime.', save: true, oldPrice: '60', newPrice: '51'},
        {value: constants.EVERY_MONTH, description: 'Receive a 1 month supply for $60 every month, cancel anytime.', save: true, price: '60'},
      ]
    }
  }
}
</script>

<style scoped>

</style>
